ARG SKA_PST_CORE_BUILDER_IMAGE=""
ARG SKA_PST_CORE_RUNTIME_IMAGE=""
ARG UNAME="pst"

FROM $SKA_PST_CORE_BUILDER_IMAGE as builder

FROM $SKA_PST_CORE_RUNTIME_IMAGE
ARG UNAME

ENV DEBIAN_FRONTEND noninteractive
WORKDIR /usr/local

RUN --mount=type=bind,from=builder,target=/builder \
  cp -d /builder/usr/local/bin/ska_pst_smrb* ./bin/ \
  && cp -d /builder/usr/local/lib/*.so* ./lib/ \
  && cp -rd /builder/usr/local/psrdada ./psrdada \
  && cp -rd /builder/usr/local/grpc ./grpc \
  && cp -rd /builder/usr/local/spdlog ./spdlog \
  && ldconfig

ENV \
  LD_LIBRARY_PATH=/usr/local/psrdada/lib:/usr/local/grpc/lib:/usr/local/spdlog/lib \
  PATH=${PATH}:/usr/local/psrdada/bin

USER $UNAME

# RUNTIME TEST
RUN ska_pst_smrb_core -h \
    && ska_pst_smrb_info \
    && ska_pst_smrb_writer -h \
    && ska_pst_smrb_reader -h

WORKDIR /usr/local/bin
CMD ["/bin/bash"]
